<?php

	
	
function theme_settings_init(){
    register_setting( 'theme_settings', 'theme_settings' );
}


function add_settings_page() {
add_theme_page( __( 'Bigbusiness Settings' ), __( 'Bigbusiness Settings' ), 'manage_options', 'settings', 'theme_settings_page');

}

//add actions
add_action( 'admin_init', 'theme_settings_init' );
add_action( 'admin_menu', 'add_settings_page' );

//define your variables
$color_scheme = array('default','blue','green',);

//start settings page
function theme_settings_page() {

if ( ! isset( $_REQUEST['updated'] ) )
$_REQUEST['updated'] = false;

//get variables outside scope
global $color_scheme;
?>

<div>

<div id="icon-options-general"></div>
<h2><?php _e( 'Bigbusiness Settings' ) //your admin panel title ?></h2>

<?php
//show saved options message
if ( false !== $_REQUEST['updated'] ) : ?>
<div><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
<?php endif; ?>

<form method="post" action="options.php">

<?php settings_fields( 'theme_settings' ); ?>
<?php $options = get_option( 'theme_settings' ); ?>

<table>

<!-- Option 1: Custom Logo -->
<tr valign="top">
<th scope="row"><?php _e( 'Custom Logo' ); ?></th>
<td><input id="theme_settings[custom_logo]" type="text" size="36" name="theme_settings[custom_logo]" value="<?php esc_attr_e( $options['custom_logo'] ); ?>" />
<label for="theme_settings[custom_logo]"><?php _e( 'Enter the URL to your custom logo' ); ?></label></td>
</tr>

<tr valign="top">
<th scope="row"><?php _e( 'Site Caption' ); ?></th>
<td><input id="theme_settings[site_caption]" type="text" size="36" name="theme_settings[site_caption]" value="<?php esc_attr_e( $options['site_caption'] ); ?>" />
<label for="theme_settings[site_caption]"><?php _e( 'Enter caption for your site' ); ?></label></td>
</tr>

<!-- Option 2: Color Scheme -->
<tr valign="top">
<th scope="row"><?php _e( 'Color Scheme' ); ?></th>
<td><select name="theme_settings[color_scheme]">
<?php foreach ($color_scheme as $option) { ?>
<option <?php if ($options['color_scheme'] == $option ){ echo 'selected="selected"'; } ?>><?php echo htmlentities($option); ?></option>
<?php } ?>
</select>                    
<label for="theme_settings[color_scheme]"><?php _e( 'Choose Your Color Scheme' ); ?></label></td>
</tr>

<!-- Option 3: Disable Footer -->
<tr valign="top">
<th scope="row"><?php _e( 'Disable Widgetized Footer' ); ?></th>
<td><input id="theme_settings[extended_footer]" name="theme_settings[extended_footer]" type="checkbox" value="1" <?php checked( '1', $options['extended_footer'] ); ?> />
<label for="theme_settings[disable_related_posts]"><?php _e( 'Check this box if you would like to disable the widgetized footer section' ); ?></label></td>
</tr>

<!-- Option 4: Tracking Code -->
<tr valign="top">
<th scope="row"><?php _e( 'Tracking Code' ); ?></th>
<td><label for="theme_settings[tracking]"><?php _e( 'Enter your analytics tracking code' ); ?></label>
<br />
<textarea id="theme_settings[tracking]" name="theme_settings[tracking]" rows="5" cols="36"><?php esc_attr_e( $options['tracking'] ); ?></textarea></td>
</tr>

<tr valign="top">
<th scope="row"><?php _e( 'Site copyright text' ); ?></th>
<td><input id="theme_settings[site_reg]" type="text" size="36" name="theme_settings[site_reg]" value="<?php esc_attr_e( $options['custom_logo'] ); ?>" />
<label for="theme_settings[site_reg]"><?php _e( 'Enter text for copyrights' ); ?></label></td>
</tr>

<tr valign="top">
<th scope="row"><?php _e( 'Home page caption' ); ?></th>
<td><input id="theme_settings[home_cap]" type="text" size="36" name="theme_settings[home_cap]" value="<?php esc_attr_e( $options['home_cap'] ); ?>" />
<label for="theme_settings[home_cap]"><?php _e( 'Enter custome home page caption' ); ?></label></td>
</tr>

<tr valign="top">
<th scope="row"><?php _e( 'Static content' ); ?></th>
<td><label for="theme_settings[home_static]"><?php _e( 'Enter your home page static text' ); ?></label>
<br />
<textarea id="theme_settings[home_static]" name="theme_settings[home_static]" rows="5" cols="36"><?php esc_attr_e( $options['home_static'] ); ?></textarea></td>
</tr>

</table>
<p><input name="submit" id="submit" value="Save Changes" type="submit"></p>
</form>

</div><!-- END wrap -->

<?php
}
//sanitize and validate
function options_validate( $input ) {
    global $select_options, $radio_options;
    if ( ! isset( $input['option1'] ) )
        $input['option1'] = null;
    $input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );
    $input['sometext'] = wp_filter_nohtml_kses( $input['sometext'] );
	    if ( ! isset( $input['radioinput'] ) )
        $input['radioinput'] = null;
    if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
        $input['radioinput'] = null;
    $input['sometextarea'] = wp_filter_post_kses( $input['sometextarea'] );
    return $input;
}


function getSiteCaption(){
$options = get_option( 'theme_settings' );
echo  $options['home_cap'];
}

function getSiteStaticContent(){
$options = get_option( 'theme_settings' );
echo  $options['home_static'];
}


function recentPost() {
echo "<ul class='recent'>";
			$args = array( 'numberposts' => '5' );
	$recent_posts = wp_get_recent_posts( $args );
	foreach( $recent_posts as $recent ){
		echo '<li><a href="' . get_permalink($recent["ID"]) . '" title="Look '.esc_attr($recent["post_title"]).'" >' .   $recent["post_title"].'</a> </li> ';
	}				

echo "</ul>";
}

?>
<!------ added ---->

<?php  /**
 * @package Make
 */

/**
 * The current version of the theme.
 */
 
define('BGBN_VERSION','1.0.0');

if(! function_exists('bgbn_is_wpcom') ) : 

/**
 * Whether or not the current environment is WordPress.com.
 *
 * @since  1.0.0.
 *
 * @return bool    Whether or not the current environment is WordPress.com.
 */
function bgbn_is_wpcom() {
	return ( defined( 'IS_WPCOM' ) && true === IS_WPCOM );
}

endif;

/**
 * The suffix to use for scripts.
 */
 

if ( ( defined('SCRIPT_DEBUG' ) && true === SCRIPT_DEBUG ) || bgbn_is_wpcom() ) {
   define( 'BGBN_SUFFIX', '');
} else {
  define( 'BGBN_SUFFIX' , '.min' );
} 

/**
 * Initial content width.
 */

if ( ! isset( $content_width ) ) { 
$content_width = 620;
}

if ( ! function_exists('bgbn_content_width') ) :

/**
 * Set the content width based on current layout
 *
 * @since  1.0.0.
 *
 * @return void
 */

function bgbn_content_width() {
 
 global $content_width;
  
 $left = bgbn_has_sidebar ( 'left' );
 $right = bgbn_has_sidebar( 'right' );
 
 // No sidebars 
 if( ! $left && ! $right ) {
    $content_width = 960;
 }
 // Both sidebars
 elseif ($left && $right ) {
  $content_width = 464;
 }
 
 // One sidebar 
 elseif ( $left  || $right ) {
 	$content_width = 620;
 }
 
}

endif;

add_action( 'template_redirect', 'bgbn_content_width' );


/**
 * Global includes.
 */
// Custom functions that act independently of the theme templates


// Custom functions that act independently of the theme templates
require get_template_directory() . '/inc/extras.php';

// Custom template tags
require get_template_directory() . '/inc/template-tags.php';

// Customizer additions
require get_template_directory() . '/inc/customizer/bootstrap.php';

// Gallery slider
require get_template_directory() . '/inc/gallery-slider/gallery-slider.php';



/**
 * Admin includes.
 */
if ( is_admin() ) {
	// TinyMCE customizations
	require get_template_directory() . '/inc/tinymce.php';

	// TinyMCE buttons
	require get_template_directory() . '/inc/tinymce-buttons/tinymce-buttons.php';

	// Page customizations
	require get_template_directory() . '/inc/edit-page.php';

	// Page Builder
	require get_template_directory() . '/inc/builder/core/base.php';
}

/**
 * 3rd party compatibility includes.
 */
// Jetpack
// There are several plugins that duplicate the functionality of various Jetpack modules,
// so rather than conditionally loading our Jetpack compatibility file based on the presence
// of the main Jetpack class, we attempt to detect individual classes/functions related to
// their particular modules.
require get_template_directory() . '/inc/jetpack.php';


// WooCommerce
if ( class_exists( 'WooCommerce' ) ) {
	require get_template_directory() . '/inc/woocommerce.php';
}


if (! function_exists('bgbn_make_setup' ) ) : 

/**
 * Sets up text domain, theme support, menus, and editor styles
 *
 * @since  1.0.0.
 *
 * @return void
 */
 
function bgbn_setup() { 

// Attempt to load text domain from child theme first

if ( ! load_theme_textdomain( 'bigbusiness', get_stylesheet_directory() . '/languages' ) ) {
		load_theme_textdomain( 'bigbusiness', get_template_directory() . '/languages' );
	}


// Feed links
	add_theme_support( 'automatic-feed-links' );

	// Featured images
	add_theme_support( 'post-thumbnails' );


// Custom background
	add_theme_support( 'custom-background', array(
		'default-color'      => bgbn_get_default( 'background_color' ),
		'default-image'      => bgbn_get_default( 'background_image' ),
		'default-repeat'     => bgbn_get_default( 'background_repeat' ),
		'default-position-x' => bgbn_get_default( 'background_position_x' ),
		'default-attachment' => bgbn_get_default( 'background_attachment' ),
	) );

	// HTML5
	add_theme_support( 'html5', array(
		'comment-list',
		'comment-form',
		'search-form',
		'gallery',
		'caption'
	) );
	
	
	
	// Menu locations
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'bgbn' ),
		'social'  => __( 'Social Profile Links', 'bgbn' )
	) );

	// Editor styles
	$editor_styles = array();
	if ( '' !== $google_request = bgbn_get_google_font_uri() ) {
		$editor_styles[] = $google_request;
	}

	$editor_styles[] = 'css/font-awesome.css';
	$editor_styles[] = 'css/editor-style.css';

	// Another editor stylesheet is added via bgbn_mce_css() in inc/customizer/bootstrap.php
	add_editor_style( $editor_styles );
}

endif; 
 
add_action( 'after_setup_theme', 'bgbn_setup' );


if ( ! function_exists('bgbn_widget_init') ) : 

/**
 * Register widget areas
 *
 * @since  1.0.0.
 *
 * @return void
 */

function bgbn_widgets_init() {
	register_sidebar( array(
		'id'            => 'sidebar-left',
		'name'          => __( 'Left Sidebar', 'bgbn' ),
		'description'   => bgbn_sidebar_description( 'sidebar-left' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'id'            => 'sidebar-right',
		'name'          => __( 'Right Sidebar', 'bgbn' ),
		'description'   => bgbn_sidebar_description( 'sidebar-right' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'id'            => 'footer-1',
		'name'          => __( 'Footer 1', 'bgbn' ),
		'description'   => bgbn_sidebar_description( 'footer-1' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'id'            => 'footer-2',
		'name'          => __( 'Footer 2', 'bgbn' ),
		'description'   => bgbn_sidebar_description( 'footer-2' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'id'            => 'footer-3',
		'name'          => __( 'Footer 3', 'bgbn' ),
		'description'   => bgbn_sidebar_description( 'footer-3' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'id'            => 'footer-4',
		'name'          => __( 'Footer 4', 'bgbn' ),
		'description'   => bgbn_sidebar_description( 'footer-4' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
}
endif;

add_action( 'widgets_init', 'bgbn_widgets_init' );


if ( ! function_exists( 'bgbn_head_early' ) ) :
/**
 * Add items to the top of the wp_head section of the document head.
 *
 * @since  1.0.0.
 *
 * @return void
 */
function bgbn_head_early() {
	// JavaScript detection ?>
	<script type="text/javascript">
		/* <![CDATA[ */
		document.documentElement.className = document.documentElement.className.replace(new RegExp('(^|\\s)no-js(\\s|$)'), '$1js$2');
		/* ]]> */
	</script>
<?php
}
endif;

add_action( 'wp_head', 'bgbn_head_early', 1 );


if ( ! function_exists( 'bgbn_scripts' ) ) :
/**
 * Enqueue styles and scripts.
 *
 * @since  1.0.0.
 *
 * @return void
 */
function bgbn_scripts() {
	// Styles
	$style_dependencies = array();

	// Google fonts
	if ( '' !== $google_request = bgbn_get_google_font_uri() ) {
		// Enqueue the fonts
		wp_enqueue_style(
			'bgbn-google-fonts',
			$google_request,
			$style_dependencies,
			bgbn_VERSION
		);
		$style_dependencies[] = 'bgbn-google-fonts';
	}

	// Font Awesome
	wp_enqueue_style('bgbn-font-awesome', get_template_directory_uri() . '/css/font-awesome.css', $style_dependencies, '4.0.3');
	$style_dependencies[] = 'bgbn-font-awesome';

	// Main stylesheet
	wp_enqueue_style( 'bgbn-main-style', get_stylesheet_uri(), $style_dependencies, 	bgbn_VERSION );
	$style_dependencies[] = 'bgbn-main-style';

	// Print stylesheet
	wp_enqueue_style('bgbn-print-style', get_template_directory_uri() . '/css/print.css', $style_dependencies, bgbn_VERSION, 'print'
	);

	// Scripts
	$script_dependencies = array();

	// jQuery
	$script_dependencies[] = 'jquery';

	// Cycle2
	bgbn_cycle2_script_setup( $script_dependencies );
	$script_dependencies[] = 'bgbn-cycle2';

	// FitVids
	wp_enqueue_script(
		'bgbn-fitvids',
		get_template_directory_uri() . '/js/libs/fitvids/jquery.fitvids' . bgbn_SUFFIX . '.js',
		$script_dependencies,
		'1.1',
		true
	);

	// Default selectors
	$selector_array = array(
		"iframe[src*='www.viddler.com']",
		"iframe[src*='money.cnn.com']",
		"iframe[src*='www.educreations.com']",
		"iframe[src*='//blip.tv']",
		"iframe[src*='//embed.ted.com']",
		"iframe[src*='//www.hulu.com']",
	);

	// Filter selectors
	$selector_array = apply_filters( 'bgbn_fitvids_custom_selectors', $selector_array );

	// Compile selectors
	$fitvids_custom_selectors = array(
		'selectors' => implode( ',', $selector_array )
	);

	// Send to the script
	wp_localize_script(
		'bgbn-fitvids',
		'bgbnFitVids',
		$fitvids_custom_selectors
	);

	$script_dependencies[] = 'bgbn-fitvids';

	// Global script
	wp_enqueue_script('bgbn-global',
		get_template_directory_uri() . '/js/global' . bgbn_SUFFIX . '.js',
		$script_dependencies,
		bgbn_VERSION,
		true
	);

	// Comment reply script
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
endif;

add_action( 'wp_enqueue_scripts', 'bgbn_scripts' );


if ( ! function_exists( 'bgbn_cycle2_script_setup' ) ) :
/**
 * Enqueue Cycle2 scripts
 *
 * If the environment is set up for minified scripts, load one concatenated, minified
 * Cycle 2 script. Otherwise, load each module separately.
 *
 * @since  1.0.0.
 *
 * @param  array    $script_dependencies    Scripts that Cycle2 depends on.
 *
 * @return void
 */
function bgbn_cycle2_script_setup( $script_dependencies ) {
	if ( defined( 'BGBN_SUFFIX' ) && '.min' === BGBN_SUFFIX ) {
		wp_enqueue_script(
			'bgbn-cycle2',
			get_template_directory_uri() . '/js/libs/cycle2/jquery.cycle2' . BGBN_SUFFIX . '.js',
			$script_dependencies,
			BGBN_VERSION,
			true
		);
	} else {
		// Core script
		wp_enqueue_script(
			'bgbn-cycle2',
			get_template_directory_uri() . '/js/libs/cycle2/jquery.cycle2.js',
			$script_dependencies,
			'2.1.3',
			true
		);

		// Vertical centering
		wp_enqueue_script(
			'bgbn-cycle2-center',
			get_template_directory_uri() . '/js/libs/cycle2/jquery.cycle2.center.js',
			'bgbn-cycle2',
			'20140121',
			true
		);

		// Swipe support
		wp_enqueue_script(
			'bgbn-cycle2-swipe',
			get_template_directory_uri() . '/js/libs/cycle2/jquery.cycle2.swipe.js',
			'bgbn-cycle2',
			'20121120',
			true
		);
	}
}
endif;


if ( ! function_exists( 'bgbn_head_late' ) ) :
/**
 * Add additional items to the end of the wp_head section of the document head.
 *
 * @since  1.0.0.
 *
 * @return void
 */
function bgbn_head_late() { ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php
}
endif;

add_action( 'wp_head', 'bgbn_head_late', 99 );

/**
 * Determine if the companion plugin is installed.
 *
 * @since  1.0.4.
 *
 * @return bool    Whether or not the companion plugin is installed.
 */
function bgbn_is_plus() {
	return apply_filters( 'bgbn_is_plus', class_exists( 'BGBN_App' ) );
}

/**
 * Add styles to admin head for Make Plus
 *
 * @since 1.0.6.
 *
 * @return void
 */
 
 
function bgbn_plus_styles() {
	if ( bgbn_is_plus() ) {
		return;
	}
	?>
	<style type="text/css">
	#bgbn-plus-metabox h3:after,
	#customize-control-bgbn_footer-whitelabel-heading span:after,
	#customize-control-bgbn_font-typekit-font-heading span:after,
	.bgbn-section-text .bgbn-plus-info p:after,
	.make-plus-products .bgbn-menu-list-item-link-icon-wrapper:before,
	.ttfmp-import-message strong:after,
	#accordion-section-bgbn_stylekit h3:before {
		content: "Plus";
		position: relative;
		top: -1px;
		margin-left: 8px;
		padding: 3px 6px !important;
		line-height: 1.5 !important;
		font-size: 9px !important;
		color: #ffffff !important;
		background-color: #d54e21;
		letter-spacing: 1px;
		text-transform: uppercase;
	}
	#accordion-section-bgbn_stylekit h3:before {
		float: right;
		top: 2px;
		margin-right: 30px;
	}
	.ttfmp-import-message strong {
		display: inline-block;
		font-size: 14px;
		margin-bottom: 4px;
	}
	.make-plus-products .bgbn-menu-list-item-link-icon-wrapper:before {
		position: relative;
		top: 38px;
		left: 17px;
	}
	.make-plus-products .section-type-description {
		color: #777777;
	}
	.bgbn-menu-list-item.make-plus-products:hover .bgbn-menu-list-item-link-icon-wrapper {
		border-color: #dfdfdf;
	}
	.make-plus-products .section-type-description a {
		color: #0074a2 !important;
		text-decoration: underline;
	}
	.make-plus-products .section-type-description a:hover,
	.make-plus-products .section-type-description a:focus {
		color: #2ea2cc !important;
	}
	</style>
<?php }

add_action( 'admin_head', 'bgbn_plus_styles', 20 );
add_action( 'customize_controls_print_styles', 'bgbn_plus_styles', 20 ); 
?>






