<?php
/**
 * @package bgbn
 */

$class = ( 'c' === get_user_setting( 'bgbnmt' . get_the_ID() ) ) ? 'closed' : 'opened';
?>

<div class="bgbn-menu bgbn-menu-<?php echo esc_attr( $class ); ?>" id="bgbn-menu">
	<div class="bgbn-menu-pane">
		<ul class="bgbn-menu-list">
			<?php foreach ( bgbn_get_sections_by_order() as $key => $item ) : ?>
				<li class="bgbn-menu-list-item">
					<a href="#" title="<?php esc_attr_e( 'Add', 'bgbn' ); ?>" class="bgbn-menu-list-item-link" id="bgbn-menu-list-item-link-<?php echo esc_attr( $item['id'] ); ?>" data-section="<?php echo esc_attr( $item['id'] ); ?>">
						<div class="bgbn-menu-list-item-link-icon-wrapper clear">
							<span class="bgbn-menu-list-item-link-icon"></span>
						</div>
						<div class="section-type-description">
							<h4>
								<?php echo esc_html( $item['label'] ); ?>
							</h4>
							<p>
								<?php echo esc_html( $item['description'] ); ?>
							</p>
						</div>
					</a>
				</li>
			<?php endforeach; ?>
			<?php if ( ! bgbn_is_plus() && in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) : ?>
				<li class="bgbn-menu-list-item bgbn-plus-products">
					<div class="bgbn-menu-list-item-link-icon-wrapper clear" style="background-image: url('<?php echo addcslashes( esc_url_raw( get_template_directory_uri() . '/inc/builder/sections/css/images/woocommerce.png' ), '"' ); ?>');">
						<span class="bgbn-menu-list-item-link-icon "></span>
					</div>
					<div class="section-type-description">
						<h4>
							<?php _e( 'Products', 'bgbn' ); ?>
						</h4>
						<p>
							<?php
							printf(
								__( '%s and feature your WooCommerce products in a grid layout.', 'bgbn' ),
								sprintf(
									'<a href="%1$s" target="_blank">%2$s</a>',
									esc_url( bgbn_get_plus_link( 'woocommerce-section' ) ),
									sprintf(
										__( 'Upgrade to %s', 'bgbn' ),
										'bgbn Plus'
									)
								)
							);
							?>
						</p>
					</div>
				</li>
			<?php endif; ?>
			<?php if ( ! bgbn_is_plus() && in_array( 'easy-digital-downloads/easy-digital-downloads.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) : ?>
				<li class="bgbn-menu-list-item bgbn-plus-products">
					<div class="bgbn-menu-list-item-link-icon-wrapper clear" style="background-image: url('<?php echo addcslashes( esc_url_raw( get_template_directory_uri() . '/inc/builder/sections/css/images/woocommerce.png' ), '"' ); ?>');">
						<span class="bgbn-menu-list-item-link-icon "></span>
					</div>
					<div class="section-type-description">
						<h4>
							<?php _e( 'Downloads', 'bgbn' ); ?>
						</h4>
						<p>
							<?php
							printf(
								__( '%s and feature your Easy Digital Downloads products in a grid layout.', 'bgbn' ),
								sprintf(
									'<a href="%1$s" target="_blank">%2$s</a>',
									esc_url( bgbn_get_plus_link( 'edd-section' ) ),
									sprintf(
										__( 'Upgrade to %s', 'bgbn' ),
										'bgbn Plus'
									)
								)
							);
							?>
						</p>
					</div>
				</li>
			<?php endif; ?>
		</ul>
	</div>
	<div class="bgbn-menu-tab">
		<a href="#" class="bgbn-menu-tab-link">
			<span><?php _e( 'Add New Section', 'bgbn' ); ?></span>
		</a>
	</div>
</div>