<?php
/**
 * @package bgbn
 */

global $bgbn_section_data, $bgbn_is_js_template, $bgbn_slide_id;
$section_name = 'bgbn-section';
if ( true === $bgbn_is_js_template ) {
    $section_name .= '[{{{ parentID }}}][banner-slides][{{{ id }}}]';
} else {
    $section_name .= '[' . $bgbn_section_data['data']['id'] . '][banner-slides][' . $bgbn_slide_id . ']';
}

$content          = ( isset( $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['content'] ) ) ? $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['content'] : '';
$background_color = ( isset( $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['background-color'] ) ) ? $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['background-color'] : '';
$darken           = ( isset( $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['darken'] ) ) ? $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['darken'] : 0;
$image_id         = ( isset( $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['image-id'] ) ) ? $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['image-id'] : 0;
$alignment        = ( isset( $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['alignment'] ) ) ? $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['alignment'] : 'none';
$state            = ( isset( $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['state'] ) ) ? $bgbn_section_data['data']['banner-slides'][ $bgbn_slide_id ]['state'] : 'open';
?>
<?php if ( true !== $bgbn_is_js_template ) : ?>
<div class="bgbn-banner-slide<?php if ( 'open' === $state ) echo ' bgbn-banner-slide-open'; ?>" id="bgbn-banner-slide-<?php echo esc_attr( $bgbn_slide_id ); ?>" data-id="<?php echo esc_attr( $bgbn_slide_id ); ?>">
<?php endif; ?>
    <div class="bgbn-banner-slide-header">
        <h3>
            <em><?php _e( 'Slide', 'bgbn' ); ?></em>
        </h3>
        <a href="#" class="bgbn-banner-slide-toggle" title="<?php esc_attr_e( 'Click to toggle', 'bgbn' ); ?>">
            <div class="handlediv"></div>
        </a>
    </div>

    <div class="clear"></div>

    <div class="bgbn-banner-slide-body">

        <div class="bgbn-banner-slide-option-wrapper">
            <h4><?php _e( 'Background image', 'bgbn' ); ?></h4>
            <p>
                <input id="<?php echo $section_name; ?>[darken]" type="checkbox" name="<?php echo $section_name; ?>[darken]" value="1"<?php checked( $darken ); ?> />
                <label for="<?php echo $section_name; ?>[darken]">
                    <?php _e( 'Darken to improve readability', 'bgbn' ); ?>
                </label>
            </p>

            <div class="bgbn-banner-slide-background-color-wrapper">
                <h4><label for="<?php echo $section_name; ?>[background-color]"><?php _e( 'Background color', 'bgbn' ); ?></label></h4>
                <input id="<?php echo $section_name; ?>[background-color]" type="text" name="<?php echo $section_name; ?>[background-color]" class="bgbn-banner-slide-background-color" value="<?php echo maybe_hash_hex_color( $background_color ); ?>" />
            </div>

            <div class="bgbn-banner-slide-alignment-wrapper">
                <h4><label for="<?php echo $section_name; ?>[alignment]"><?php _e( 'Content position', 'bgbn' ); ?></label></h4>
                <select id="<?php echo $section_name; ?>[alignment]" name="<?php echo $section_name; ?>[alignment]">
                    <option value="none"<?php selected( 'none', $alignment ); ?>><?php _e( 'None', 'bgbn' ); ?></option>

                    <option value="left"<?php selected( 'left', $alignment ); ?>><?php _e( 'Left', 'bgbn' ); ?></option>
                    <option value="right"<?php selected( 'right', $alignment ); ?>><?php _e( 'Right', 'bgbn' ); ?></option>
                </select>
            </div>

        </div>

        <div class="bgbn-banner-slide-background-image-wrapper">
            <?php
            bgbn_get_builder_base()->add_uploader(
                $section_name,
                bgbn_sanitize_image_id( $image_id ),
                array(
                    'add'    => __( 'Set slide image', 'bgbn' ),
                    'remove' => __( 'Remove slide image', 'bgbn' ),
                    'title'  => __( 'Slide image', 'bgbn' ),
                    'button' => __( 'Use as slide image', 'bgbn' ),
                )
            );
            ?>
        </div>

        <div class="clear"></div>

        <h2>
            <?php _e( 'Slide content overlay', 'bgbn' ); ?>
        </h2>

        <?php
        $editor_settings = array(
            'tinymce'       => true,
            'quicktags'     => true,
            'textarea_name' => $section_name . '[content]'
        );

        if ( true === $bgbn_is_js_template ) : ?>
            <?php bgbn_get_builder_base()->wp_editor( '', 'bgbneditorbannerslidetemp', $editor_settings ); ?>
        <?php else : ?>
            <?php bgbn_get_builder_base()->wp_editor( $content, 'bgbneditorbannerslide' . $bgbn_slide_id, $editor_settings ); ?>
        <?php endif; ?>

        <a href="#" class="bgbn-banner-slide-remove">
            <?php _e( 'Remove this slide', 'bgbn' ); ?>
        </a>
    </div>
    <input type="hidden" class="bgbn-banner-slide-state" name="<?php echo $section_name; ?>[state]" value="<?php echo esc_attr( $state ); ?>" />
<?php if ( true !== $bgbn_is_js_template ) : ?>
</div>
<?php endif; ?>
