<?php
/**
 * @package bgbn
 */
bgbn_load_section_header();

global $bgbn_section_data, $bgbn_is_js_template;
$section_name  = bgbn_get_section_name( $bgbn_section_data, $bgbn_is_js_template );
$title         = ( isset( $bgbn_section_data['data']['title'] ) ) ? $bgbn_section_data['data']['title'] : '';
$hide_arrows   = ( isset( $bgbn_section_data['data']['hide-arrows'] ) ) ? $bgbn_section_data['data']['hide-arrows'] : 0;
$hide_dots     = ( isset( $bgbn_section_data['data']['hide-dots'] ) ) ? $bgbn_section_data['data']['hide-dots'] : 0;
$autoplay      = ( isset( $bgbn_section_data['data']['autoplay'] ) ) ? $bgbn_section_data['data']['autoplay'] : 1;
$transition    = ( isset( $bgbn_section_data['data']['transition'] ) ) ? $bgbn_section_data['data']['transition'] : 'scrollHorz';
$delay         = ( isset( $bgbn_section_data['data']['delay'] ) ) ? $bgbn_section_data['data']['delay'] : 6000;
$height        = ( isset( $bgbn_section_data['data']['height'] ) ) ? $bgbn_section_data['data']['height'] : 600;
$section_order = ( ! empty( $bgbn_section_data['data']['banner-slide-order'] ) ) ? $bgbn_section_data['data']['banner-slide-order'] : array();
?>

<div class="bgbn-add-slide-wrapper">
	<a href="#" class="button button-primary bgbn-button-large button-large bgbn-add-slide"><?php _e( 'Add New Slide', 'bgbn' ); ?></a>
</div>

<div class="bgbn-banner-slides">
	<div class="bgbn-banner-slides-stage">
		<?php foreach ( $section_order as $key => $section_id  ) : ?>
			<?php if ( isset( $bgbn_section_data['data']['banner-slides'][ $section_id ] ) ) : ?>
				<?php global $bgbn_slide_id; $bgbn_slide_id = $section_id; ?>
				<?php get_template_part( '/inc/builder/sections/builder-templates/banner', 'slide' ); ?>
			<?php endif; ?>
		<?php endforeach; ?>
	</div>
	<input type="hidden" value="<?php echo esc_attr( implode( ',', $section_order ) ); ?>" name="<?php echo $section_name; ?>[banner-slide-order]" class="bgbn-banner-slide-order" />
</div>

<div class="bgbn-banner-options">
	<h2 class="bgbn-large-title">
		<?php _e( 'Options', 'bgbn' ); ?>
	</h2>

	<div class="bgbn-titlediv">
		<div class="bgbn-titlewrap">
			<input placeholder="<?php esc_attr_e( 'Enter title here', 'bgbn' ); ?>" type="text" name="<?php echo $section_name; ?>[title]" class="bgbn-title bgbn-section-header-title-input" value="<?php echo esc_attr( htmlspecialchars( $title ) ); ?>" autocomplete="off" />
		</div>
	</div>

	<div class="bgbn-banner-options-container">
		<h4 class="bgbn-banner-options-title">
			<?php _e( 'Slideshow display', 'bgbn' ); ?>
		</h4>

		<p>
			<input id="<?php echo $section_name; ?>[hide-arrows]" type="checkbox" name="<?php echo $section_name; ?>[hide-arrows]" value="1"<?php checked( $hide_arrows ); ?> />
			<label for="<?php echo $section_name; ?>[hide-arrows]">
				<?php _e( 'Hide navigation arrows', 'bgbn' ); ?>
			</label>
		</p>

		<p>
			<input id="<?php echo $section_name; ?>[hide-dots]" type="checkbox" name="<?php echo $section_name; ?>[hide-dots]" value="1"<?php checked( $hide_dots ); ?> />
			<label for="<?php echo $section_name; ?>[hide-dots]">
				<?php _e( 'Hide navigation dots', 'bgbn' ); ?>
			</label>
		</p>

		<p>
			<input id="<?php echo $section_name; ?>[autoplay]" type="checkbox" name="<?php echo $section_name; ?>[autoplay]" value="1"<?php checked( $autoplay ); ?> />
			<label for="<?php echo $section_name; ?>[autoplay]">
				<?php _e( 'Autoplay slideshow', 'bgbn' ); ?>
			</label>
		</p>
	</div>

	<div class="bgbn-banner-options-container">
		<h4 class="bgbn-banner-options-title">
			<?php _e( 'Time between slides (in ms)', 'bgbn' ); ?>
		</h4>
		<input id="<?php echo $section_name; ?>[delay]" class="code" type="text" name="<?php echo $section_name; ?>[delay]" value="<?php echo absint( $delay ); ?>" />

		<h4>
			<?php _e( 'Transition effect', 'bgbn' ); ?>
		</h4>
		<select id="<?php echo $section_name; ?>[transition]" name="<?php echo $section_name; ?>[transition]">
			<option value="scrollHorz"<?php selected( 'scrollHorz', $transition ); ?>><?php _e( 'Slide horizontal', 'bgbn' ); ?></option>
			<option value="fade"<?php selected( 'fade', $transition ); ?>><?php _e( 'Fade', 'bgbn' ); ?></option>
			<option value="none"<?php selected( 'none', $transition ); ?>><?php echo _x( 'None', 'transition effect', 'bgbn' ); ?></option>
		</select>
	</div>

	<div class="bgbn-banner-options-container">
		<h4 class="bgbn-banner-options-title">
			<?php _e( 'Section height', 'bgbn' ); ?>
		</h4>
		<input id="<?php echo $section_name; ?>[height]" class="code" type="text" name="<?php echo $section_name; ?>[height]" value="<?php echo absint( $height ); ?>" />
	</div>

	<div class="clear"></div>
</div>

<input type="hidden" class="bgbn-section-state" name="<?php echo $section_name; ?>[state]" value="<?php if ( isset( $bgbn_section_data['data']['state'] ) ) echo esc_attr( $bgbn_section_data['data']['state'] ); else echo 'open'; ?>" />
<?php bgbn_load_section_footer();