<?php
/**
 * @package bgbn
 */

bgbn_load_section_header();

global $bgbn_section_data, $bgbn_is_js_template;
$section_name = bgbn_get_section_name( $bgbn_section_data, $bgbn_is_js_template );
?>

	<div class="bgbn-titlediv">
		<div class="bgbn-titlewrap">
			<input placeholder="<?php esc_attr_e( 'Enter title here' ); ?>" type="text" name="<?php echo $section_name; ?>[title]" class="bgbn-title bgbn-section-header-title-input" value="<?php if ( isset( $bgbn_section_data['data']['title'] ) ) echo esc_attr( htmlspecialchars( $bgbn_section_data['data']['title'] ) ); ?>" autocomplete="off" />
		</div>
	</div>

	<?php
	$editor_settings = array(
		'tinymce'       => true,
		'quicktags'     => true,
		'editor_height' => 345,
		'textarea_name' => $section_name . '[content]'
	);

	if ( true === $bgbn_is_js_template ) : ?>
		<?php bgbn_get_builder_base()->wp_editor( '', bgbn_get_wp_editor_id( $bgbn_section_data, $bgbn_is_js_template ), $editor_settings ); ?>
	<?php else : ?>
		<?php $content = ( isset( $bgbn_section_data['data']['content'] ) ) ? $bgbn_section_data['data']['content'] : ''; ?>
		<?php bgbn_get_builder_base()->wp_editor( $content, bgbn_get_wp_editor_id( $bgbn_section_data, $bgbn_is_js_template ), $editor_settings ); ?>
	<?php endif; ?>

	<input type="hidden" class="bgbn-section-state" name="<?php echo $section_name; ?>[state]" value="<?php if ( isset( $bgbn_section_data['data']['state'] ) ) echo esc_attr( $bgbn_section_data['data']['state'] ); else echo 'open'; ?>" />
<?php bgbn_load_section_footer();