<?php
/**
 * @package bgbn
 */

global $bgbn_section_data, $bgbn_is_js_template, $bgbn_gallery_id;
$section_name = 'bgbn-section';
if ( true === $bgbn_is_js_template ) {
	$section_name .= '[{{{ parentID }}}][gallery-items][{{{ id }}}]';
} else {
	$section_name .= '[' . $bgbn_section_data['data']['id'] . '][gallery-items][' . $bgbn_gallery_id . ']';
}

$title       = ( isset( $bgbn_section_data['data']['gallery-items'][ $bgbn_gallery_id ]['title'] ) ) ? $bgbn_section_data['data']['gallery-items'][ $bgbn_gallery_id ]['title'] : '';
$link        = ( isset( $bgbn_section_data['data']['gallery-items'][ $bgbn_gallery_id ]['link'] ) ) ? $bgbn_section_data['data']['gallery-items'][ $bgbn_gallery_id ]['link'] : '';
$image_id    = ( isset( $bgbn_section_data['data']['gallery-items'][ $bgbn_gallery_id ]['image-id'] ) ) ? $bgbn_section_data['data']['gallery-items'][ $bgbn_gallery_id ]['image-id'] : 0;
$description = ( isset( $bgbn_section_data['data']['gallery-items'][ $bgbn_gallery_id ]['description'] ) ) ? $bgbn_section_data['data']['gallery-items'][ $bgbn_gallery_id ]['description'] : '';
?>
<?php if ( true !== $bgbn_is_js_template ) : ?>
<div class="bgbn-gallery-item" id="bgbn-gallery-item-<?php echo esc_attr( $bgbn_gallery_id ); ?>" data-id="<?php echo esc_attr( $bgbn_gallery_id ); ?>">
<?php endif; ?>
	<div title="<?php esc_attr_e( 'Drag-and-drop this column into place', 'bgbn' ); ?>" class="bgbn-sortable-handle">
		<div class="sortable-background"></div>
	</div>

	<div class="bgbn-titlediv">
		<input placeholder="<?php esc_attr_e( 'Enter link here', 'bgbn' ); ?>" type="text" name="<?php echo $section_name; ?>[link]" class="bgbn-link code widefat" value="<?php echo esc_url( $link ); ?>" autocomplete="off" />
	</div>

	<?php bgbn_get_builder_base()->add_uploader( $section_name, bgbn_sanitize_image_id( $image_id ) ); ?>

	<div class="bgbn-titlediv">
		<div class="bgbn-titlewrap">
			<input placeholder="<?php esc_attr_e( 'Enter title here', 'bgbn' ); ?>" type="text" name="<?php echo $section_name; ?>[title]" class="bgbn-title" value="<?php echo esc_attr( htmlspecialchars( $title ) ); ?>" autocomplete="off" />
		</div>
	</div>

	<div class="bgbn-gallery-item-description-wrapper">
		<textarea placeholder="<?php esc_attr_e( 'Enter description here', 'bgbn' ); ?>" name="<?php echo $section_name; ?>[description]"><?php echo esc_textarea( $description ); ?></textarea>
	</div>

	<a href="#" class="bgbn-gallery-item-remove">
		<?php _e( 'Remove this item', 'bgbn' ); ?>
	</a>
<?php if ( true !== $bgbn_is_js_template ) : ?>
</div>
<?php endif; ?>