<?php
/**
 * @package bgbn
 */

global $bgbn_section_data, $bgbn_sections;
$banner_slides = bgbn_builder_get_banner_array( $bgbn_section_data );
$is_slider = ( count( $banner_slides ) > 1 ) ? true : false;
$banner_id = ( isset( $bgbn_section_data['id'] ) ) ? absint( $bgbn_section_data['id'] ) : 1;

$slider_height = absint( $bgbn_section_data['height'] );
if ( 0 === $slider_height ) {
	$slider_height = 600;
}
$slider_ratio = ( $slider_height / 960 ) * 100;
?>
<style type="text/css">
	.builder-section-banner-<?php echo $banner_id; ?> .builder-banner-slide {
		padding-bottom: <?php echo $slider_ratio; ?>%;
	}
	@media screen and (min-width: 960px) {
		.builder-section-banner-<?php echo $banner_id; ?> .builder-banner-slide {
			padding-bottom: <?php echo $slider_height; ?>px;
		}
	}
</style>
<section id="builder-section-<?php echo esc_attr( $bgbn_section_data['id'] ); ?>" class="builder-section <?php echo esc_attr( bgbn_builder_get_banner_class( $bgbn_section_data, $bgbn_sections ) ); ?>">
	<?php if ( '' !== $bgbn_section_data['title'] ) : ?>
	<h3 class="builder-banner-section-title">
		<?php echo apply_filters( 'the_title', $bgbn_section_data['title'] ); ?>
	</h3>
	<?php endif; ?>
	<div class="builder-section-content<?php echo ( $is_slider ) ? ' cycle-slideshow' : ''; ?>"<?php echo ( $is_slider ) ? bgbn_builder_get_banner_slider_atts( $bgbn_section_data ) : ''; ?>>
		<?php if ( ! empty( $banner_slides ) ) : foreach ( $banner_slides as $slide ) : ?>
		<div class="builder-banner-slide<?php echo bgbn_builder_banner_slide_class( $slide ); ?>" style="<?php echo bgbn_builder_banner_slide_style( $slide, $bgbn_section_data ); ?>">
			<div class="builder-banner-content">
				<div class="builder-banner-inner-content">
					<?php bgbn_get_builder_save()->the_builder_content( $slide['content'] ); ?>
				</div>
			</div>
			<?php if ( 0 !== absint( $slide['darken'] ) ) : ?>
			<div class="builder-banner-overlay"></div>
			<?php endif; ?>
		</div>
		<?php endforeach; endif; ?>
		<?php if ( $is_slider && false === (bool) $bgbn_section_data['hide-arrows'] ) : ?>
		<div class="cycle-prev"></div>
		<div class="cycle-next"></div>
		<?php endif; ?>
		<?php if ( $is_slider && false === (bool) $bgbn_section_data['hide-dots'] ) : ?>
		<div class="cycle-pager"></div>
		<?php endif; ?>
	</div>
</section>
