<?php
/**
 * @package bgbn
 */

global $bgbn_section_data, $bgbn_sections;
$text_columns = bgbn_builder_get_text_array( $bgbn_section_data );
?>

<section id="builder-section-<?php echo esc_attr( $bgbn_section_data['id'] ); ?>" class="builder-section<?php echo esc_attr( bgbn_builder_get_text_class( $bgbn_section_data, $bgbn_sections ) ); ?>">
	<?php if ( '' !== $bgbn_section_data['title'] ) : ?>
	<h3 class="builder-text-section-title">
		<?php echo apply_filters( 'the_title', $bgbn_section_data['title'] ); ?>
	</h3>
	<?php endif; ?>
	<div class="builder-section-content">
		<?php if ( ! empty( $text_columns ) ) : foreach ( $text_columns as $column ) :
			$link_front = '';
			$link_back = '';
			if ( '' !== $column['image-link'] ) :
				$link_front = '<a href="' . esc_url( $column['image-link'] ) . '">';
				$link_back = '</a>';
			endif;
			?>
		<div class="builder-text-column">
			<?php $image_html =  bgbn_get_image( $column['image-id'], 'large' ); ?>
			<?php if ( '' !== $image_html ) : ?>
			<figure class="builder-text-image">
				<?php echo $link_front . $image_html . $link_back; ?>
			</figure>
			<?php endif; ?>
			<?php if ( '' !== $column['title'] ) : ?>
			<h3 class="builder-text-title">
				<?php echo apply_filters( 'the_title', $column['title'] ); ?>
			</h3>
			<?php endif; ?>
			<?php if ( '' !== $column['content'] ) : ?>
			<div class="builder-text-content">
				<?php bgbn_get_builder_save()->the_builder_content( $column['content'] ); ?>
			</div>
			<?php endif; ?>
		</div>
		<?php endforeach; endif; ?>
	</div>
</section>
